curl -X POST "https://api.ionq.co/v0.4/jobs" \
-H "Authorization: apiKey your-api-key" \
-H "Content-Type: application/json" \
-d '{
"type" : "ionq.circuit.v1",
"name": "Sample circuit",
"metadata": {
"fizz": "buzz",
"foo": "bar"
},
"shots": 500,
"backend": "qpu.forte-1",
"settings" :
{
"error_mitigation":
{
"debiasing": false
}
},
"input": {
"qubits": 2,
"gateset": "qis",
"circuit": [
{
"gate": "h",
"target": 0
}
]
}
}'{
"id": "617a1f8b-59d4-435d-aa33-695433d7155e",
"status": "submitted",
"session_id": null
}Jobs
Create job
Submit a quantum circuit to run on a backend.
POST
/
jobs
curl -X POST "https://api.ionq.co/v0.4/jobs" \
-H "Authorization: apiKey your-api-key" \
-H "Content-Type: application/json" \
-d '{
"type" : "ionq.circuit.v1",
"name": "Sample circuit",
"metadata": {
"fizz": "buzz",
"foo": "bar"
},
"shots": 500,
"backend": "qpu.forte-1",
"settings" :
{
"error_mitigation":
{
"debiasing": false
}
},
"input": {
"qubits": 2,
"gateset": "qis",
"circuit": [
{
"gate": "h",
"target": 0
}
]
}
}'{
"id": "617a1f8b-59d4-435d-aa33-695433d7155e",
"status": "submitted",
"session_id": null
}Submit a quantum circuit to run on a backend by creating a new job. You can specify the number of shots, target backend (QPU or simulator), and optional settings like error mitigation. The job will be queued and executed according to the platform’s scheduling system.
Learn more about submitting circuits via API.
Authorizations
API keys are associated with a user and can be created on the IonQ Quantum Cloud application. To authenticate, prefix your API Key with apiKey and place it in the Authorization request header. Ex: Authorization: apiKey your-api-key
Body
application/json
- Single Circuit
- Multi Circuit
- Quantum Function
- QAOA Function
Available options: simulator, qpu.forte-1, qpu.forte-enterprise-1
Available options:
ionq.circuit.v1, ionq.qasm3.v1 The circuit to run. ionq.circuit.v1 takes a JSON gate list (qubits,
gateset, circuit); ionq.qasm3.v1 takes the OpenQASM 3 program
source in input.data.
- Qis Circuit
- Native Circuit
- QASM3 Circuit
Show child attributes
Show child attributes
User defined metadata
Show child attributes
Show child attributes
shots is ignored by ideal simulator backend.
Required range:
1 <= x <= 1000000Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?

